Jump to content

View more

Image of the Day

I've done more tweaks to my color palette selector. #gamedev #screenshotsaturday #madewithunity https://t.co/aJXrC4ruRg
IOTD | Top Screenshots

The latest, straight to your Inbox.

Subscribe to GameDev.net Direct to receive the latest updates and exclusive content.


Sign up now
- - - - -

Failed to start!

4: Adsense

Old topic!

Guest, the last post of this topic is over 60 days old and at this point you may not reply in this topic. If you wish to continue this conversation start a new topic.


  • You cannot reply to this topic
1 reply to this topic

#1 HeExists   Members   

273
Like
0Likes
Like

Posted 04 November 2013 - 01:07 PM

Hi,

   I am using code::block and angelscript 2.27.1. Just now I tried to compile my app with the new release 2.28 and found the script is not creating the engine.

engine = asCreateScriptEngine(ANGELSCRIPT_VERSION);
if( engine == 0 )
{
    printf("Failed to create script engine.\n");
    return -1;
}

It is returning -1 here.

 

It is working fine with 2.27.

 

Thanks.


Edited by HeExists, 04 November 2013 - 01:08 PM.


#2 Andreas Jonsson   Moderators   

4625
Like
0Likes
Like

Posted 04 November 2013 - 01:52 PM

Make sure you recompile everything (both library and your application) after upgrading the library.

 

Basically the only reason asCreateScriptEngine() would fail is because the application is passing the the wrong version number, which usually happens if the project was only partially recompiled after the upgrade, or if the application and the library isn't using the same physical angelscript.h file.

 

Regards,

Andreas


AngelCode.com - game development and more - Reference DB - game developer references
AngelScript - free scripting library - BMFont - free bitmap font generator - Tower - free puzzle game




Old topic!

Guest, the last post of this topic is over 60 days old and at this point you may not reply in this topic. If you wish to continue this conversation start a new topic.